Bug 142506 - CAN-2004-1156 Frame injection vulnerability.
Summary: CAN-2004-1156 Frame injection vulnerability.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
high
Target Milestone: ---
: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard: impact=important,public=20041208
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-10 01:32 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-01 19:02:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:176 normal SHIPPED_LIVE Critical: firefox security update 2005-03-01 05:00:00 UTC

Description Josh Bressers 2004-12-10 01:32:21 UTC
Secunia reported a pair of frame injection vulnerabilities that could
result in popup blocking.

http://secunia.com/secunia_research/2004-13/advisory/
https://bugzilla.mozilla.org/show_bug.cgi?id=273699

Comment 1 Josh Bressers 2004-12-10 01:36:09 UTC
There is no upstream fix for this issue yet, but as soon as one
exists, we should push to get this fixed for RHEL4.  This issue is
extremely dangerous since it affects all popular web browsers, making
it platform agnostic.

Comment 2 Jay Turner 2004-12-11 18:13:38 UTC
This is labeled "important" but isn't on the blocker list.  Is that because we
don't have a fix as of yet?  I'm tossing onto the RC blocker candidate list so
that we make sure to track accordingly.

Comment 3 Josh Bressers 2004-12-11 18:24:37 UTC
Correct, as far as I know (as of this moment), there is no upstream fix.  Chris,
are you aware of anything I'm not?

The upstream bugzilla entry mentions a possible fix, but nobody has confirmed
the patch (it's a different issue, but may also fix this as a side effect.)

Comment 8 Josh Bressers 2005-03-01 19:02:03 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-176.html



Note You need to log in before you can comment on or make changes to this bug.